<?php
namespace Ep\Woo;

use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'wp_plugins' => [
        'aliases' => [
            'woo.category.automenu'            => Plugin\Category\AutoMenu::class,
            'woo.category.uncategorized'       => Plugin\Category\Uncategorized::class,
            'woo.coupons.userregisteredbefore' => Plugin\Coupon\UserRegisteredBefore::class,
            'woo.orders.customstatus'          => Plugin\Order\CustomStatus::class,
            'woo.payment.paypal'               => Plugin\Payment\Paypal::class,
            'woo.products.loginforprices'      => Plugin\Product\LoginForPrices::class,
            'woo.products.productclass'        => Plugin\Product\ProductClass::class,
        ],

        'factories' => [
            Plugin\Category\AutoMenu::class           => InvokableFactory::class,
            Plugin\Category\Uncategorized::class      => InvokableFactory::class,
            Plugin\Coupon\UserRegisteredBefore::class => InvokableFactory::class,
            Plugin\Order\CustomStatus::class          => InvokableFactory::class,
            Plugin\Payment\Paypal::class              => Plugin\Payment\PaypalFactory::class,
            Plugin\Product\LoginForPrices::class      => InvokableFactory::class,
            Plugin\Product\ProductClass::class        => InvokableFactory::class,
        ],
    ],
];