import $ from 'jquery';
import Button from 'ep-form/js/Element/Button';

/**
 * Gumb za upit o proizvodu.
 */
export default class ProductEnquiry extends Button
{
    /**
     * Konstruktor.
     *
     * @param el
     */
    constructor(el)
    {
        super(el);

        this.$el.on('click', this.onClick.bind(this));
    }

    /**
     * Kada korisnik klikne na button.
     */
    onClick()
    {
        $(document.body).on('spu.box_open', this.onBoxOpen.bind(this));
    }

    /**
     * Kada se otvori popup.
     */
    onBoxOpen()
    {
        let $box = $('.spu-box');

        console.log($box[0]);

        console.log($box
            .find('[name="' + this.$el.data('name-field') + '"]'));

        $box
            .find('[name="' + this.$el.data('name-field') + '"]')
            .val(this.$el.data('product-name'));

        $box
            .find('[name="' + this.$el.data('sku-field') + '"]')
            .val(this.$el.data('product-sku'));

        $(document.body).off('spu.box_open');
    }
}